summaryrefslogtreecommitdiff
path: root/runalltests
diff options
context:
space:
mode:
Diffstat (limited to 'runalltests')
-rwxr-xr-xrunalltests12
1 files changed, 12 insertions, 0 deletions
diff --git a/runalltests b/runalltests
new file mode 100755
index 0000000..99270c8
--- /dev/null
+++ b/runalltests
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+for testfile in *.test; do
+ ./$testfile
+ ret=$(expr $ret + $?)
+done
+
+if [ $ret -gt 0 ]; then
+ printf "%d tests failed\n" $ret
+fi
+
+exit $ret